using System;
using System.Collections.Generic;
using System.Text;


namespace PastCrew.Games.Chess.Engine.Entities
{
   
    public class SquareStatus
    {
        private Board.Square _square = null;
        private Entities.MoveResult _result = MoveResult.invalid;

        public SquareStatus(Board.Square square, Entities.MoveResult result)
        {
            this._result = result;
            this._square = square;
        }

        public Board.Square Square
        {
            get { return this._square; }
            //set { this._square = value; }
        }

        public Entities.MoveResult Result
        {
            get { return this._result; }
            set { this._result = value; }
        }
    }
}
